Package org.eclipse.mat.report.internal

## Class DataFile

- java.lang.Object
- - org.eclipse.mat.report.internal.DataFile

    public class DataFile
    extends Object

### Constructor Summary

Constructors
`DataFile()`

### Method Summary

All Methods Instance Methods Concrete Methods
`String` `getSuggestedFile()`
`String` `getUrl()`
`void` `setSuggestedFile​(String suggestedFile)`
`void` `setUrl​(String url)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DataFile

    public DataFile()

### Method Detail

#### getUrl

    public String getUrl()

#### setUrl

    public void setUrl​(String url)

#### getSuggestedFile

    public String getSuggestedFile()

#### setSuggestedFile

    public void setSuggestedFile​(String suggestedFile)